Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/trunk]: src/share/mk Add a script to compare the library lists so we can...
details: https://anonhg.NetBSD.org/src/rev/0858a2bb5477
branches: trunk
changeset: 964641:0858a2bb5477
user: christos <christos%NetBSD.org@localhost>
date: Sat Aug 10 12:50:36 2019 +0000
description:
Add a script to compare the library lists so we can keep them in sync easier.
diffstat:
share/mk/compare-lib-lists | 33 +++++++++++++++++++++++++++++++++
1 files changed, 33 insertions(+), 0 deletions(-)
diffs (37 lines):
diff -r 2a4540008f9f -r 0858a2bb5477 share/mk/compare-lib-lists
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/share/mk/compare-lib-lists Sat Aug 10 12:50:36 2019 +0000
@@ -0,0 +1,33 @@
+#!/bin/sh
+# $NetBSD: compare-lib-lists,v 1.1 2019/08/10 12:50:36 christos Exp $
+#
+# Q+D script to print the library lists for compariston between whats in the
+# bsd.prog.mk file and bsd.README
+
+prog=$(basename "$0")
+
+RD=/tmp/${prog}.rd.$$
+MK=/tmp/${prog}.mk.$$
+
+trap "rm -f ${MK} ${RD}" 0 1 2 3 15
+
+make -f - all << \EOF > ${MK}
+.include <bsd.prog.mk>
+
+all:
+.for l in ${_LIBLIST}
+ @echo $l
+.endfor
+.for l in crt0.o crti.o crti.o crtn.o
+ @echo $l
+.endfor
+.for l in ${_X11LIBLIST}
+ @echo $l
+.endfor
+EOF
+
+grep ' LIB' bsd.README | \
+ grep DESTDIR | \
+ sed -e 's/.*lib\([a-zA-Z0-9_+\-]*\)\.a$/\1/' > ${RD}
+
+paste ${MK} ${RD}
Home |
Main Index |
Thread Index |
Old Index